import { Metadata, AssetContent, TemperatureMeasurement, PositionMeasurement, AssetModel } from "../../../index";
declare const modelName = "Container";
export interface ContainerMetadata extends Metadata {
    height: number;
    width: number;
    trailer: {
        weight: number;
        capacity: number;
    };
    person: {
        company: string;
    };
}
export type ContainerMeasurements = {
    temperatureExt: TemperatureMeasurement;
    temperatureInt: TemperatureMeasurement;
    position: PositionMeasurement;
    temperatureWeather: TemperatureMeasurement;
};
export interface ContainerAssetContent extends AssetContent<ContainerMeasurements, ContainerMetadata> {
    model: typeof modelName;
}
export declare const Container: AssetModel;
export {};
