import { JSONObject, Kuzzle } from "kuzzle-sdk";
type MeasureDated<T> = {
    value: T;
    measuredAt: number;
};
export type MeasureValue<T> = T | MeasureDated<T>;
export declare function isMeasureDated<T>(measure: MeasureValue<T>): measure is MeasureDated<T>;
export interface Location {
    lat: number;
    lon: number;
    accuracy?: number;
}
export interface Acceleration {
    x: number;
    y: number;
    z: number;
    accuracy: number;
}
export type DummyTempSimplePayload = {
    deviceEUI: string;
    temperature: MeasureValue<number>;
    measuredAt?: number;
    battery?: MeasureValue<number>;
    acceleration?: MeasureValue<Acceleration>;
    metadata?: JSONObject;
};
export type DummyTempPayload = DummyTempSimplePayload | {
    measurements: DummyTempSimplePayload[];
};
export type DummyTempPositionPayload = DummyTempPayload & {
    location: MeasureValue<Location>;
};
export declare function sendDummyTempPayloads(sdk: Kuzzle, payloads: DummyTempPayload[]): Promise<void>;
export declare function sendDummyTempPositionPayloads(sdk: Kuzzle, payloads: DummyTempPositionPayload[]): Promise<void>;
export declare function sendPayloads(sdk: Kuzzle, action: string, payloads: JSONObject[]): Promise<any>;
export {};
